%Author: Shebuti Rayana

% Copyright: Shebuti Rayana
% PhD student, Computer Science Department, Stony Brook University
% Stony Brook, NY - 11794

%load('../input/data.mat'); % data.mat contains X and y, X = multi-dimensional point data,
%y = labels (1 = outliers, 0 = inliers)

% k = 5
% MAXITER = 15 (t = 0, ... ,15)
[fs,r,ret_iter,ap] = CARE(X,y,5,'LOF',15);

save('../output/fs_LOF.mat','fs');
save('../output/r_LOF.mat','r');
fileID = fopen('../output/results.txt','wt');
fprintf(fileID,'With Base Detector LOF: \n\r Final iteration: %d \n\r Average Precision : %f \n\r',ret_iter-1,ap);

[fs,r,ret_iter,ap] = CARE(X,y,5,'AvgKNN',15);

save('../output/fs_AvgKNN.mat','fs');
save('../output/r_AvgKNN.mat','r');
fprintf(fileID,'With Base Detector AvgKNN: \n\r Final iteration: %d \n\r Average Precision : %f \n\r',ret_iter-1,ap);

fclose(fileID);